PureMessage Exchange 2010 and TLS 1.2?

Hi,

I've got Exchange 2010 running on an SBS 2011 server with PureMessage 3.1.3.

I need to make it PCI compliant and need to disable TLS 1.0.

It appears that disabling TLS 1.0 breaks the version of PureMessage I have installed and mail delivery stops working.

On my test server, where I haven't got PureMessage installed, I can disable TLS 1.0 (and 1.1) without any apparent problems.

I've seen mention of PureMessage 4.0.4 and TLS 1.2, but that isn't an option for Exchange 2010.

Is there any way to get this working, or am I just wasting my time?

This is the final problem I need to fix before getting a clean PCI scan.

Thanks

  • Hi  

    TLS 1.0 is responsible for database communication in Puremessage 3.1.3 and hence it breaks when you disable TLS 1.0. The SQL changes can be made in Puremessage 4.0.4 which supports TLS 1.2. Unfortunately, this feature is not available for Puremessage version 3.1.3.